<?php
include("../includes/session.php");
include("../includes/functions.php");
include("../includes/liborders.inc.php");
include("../includes/db.php");
session(1);

//estraggo id categoria perche' se e' un omaggio non ha punteggio
$abbcat_tipo = getAbbigliamentoCat(false,$_REQUEST['cat_id'])->abbcat_tipo;

if(intval($_GET['del']) > 0){
	$id = intval($_GET['del']);
	
	//estraggo dati necessari a ricostruire l'ordinamento
	$result = mysql_query("SELECT * FROM ordini_abb WHERE ordabb_id = ".$id);
	$abbcat_id = mysql_result($result,0,'abbcat_id');
	$ordabb_cod = mysql_result($result,0,'ordabb_cod');
	$ord_id = mysql_result($result,0,'ord_id');
	
	//se e' gia stato movimentato, non posso eliminarlo
	$result = mysql_query($q="SELECT * FROM ordini_customchoice WHERE ord_id = ".$ord_id." AND ordabb_cod = '".$ordabb_cod."'");
	if(mysql_num_rows($result) > 0)
		die("Impossibile eliminare l'articolo perchè è già stato movimentato\nall'interno dell'ordine");
	
	
	mysql_query("DELETE FROM ordini_abb WHERE ordabb_id = ".$id);
	mysql_query("DELETE FROM ordini_abb_lav WHERE ordabb_id = ".$id);
	mysql_query("DELETE FROM ordini_customchoice WHERE ordabb_cod = '".$ordabb_cod."' AND ord_id = ".$ord_id);
	
	@unlink('../artimages/'.$id.'.png');
	@unlink('../artimages/thumbs/'.$id.'.png');
	
	redoArtOrder($ord_id,$abbcat_id);
	
	die();
}
if(isset($_GET['save'])){

	$ordabb_cod = cleanstr($_POST['ordabb_cod']);
	$ordabb_nome = cleanstr($_POST['ordabb_nome']);
	$ordabb_descr = cleanstr($_POST['ordabb_descr']);
	$ordabb_pnt = intval($_POST['ordabb_pnt']);
	
	if(empty($ordabb_cod))
		$error = 'Inserire codice';
	else if(empty($ordabb_nome))
		$error = 'Inserire nome';
	else if(empty($ordabb_descr))
		$error = 'Inserire descrizione';
	else if($ordabb_pnt == 0 && $abbcat_tipo <> 'OMG')
		$error = 'Inserire punteggio';
	else if(empty($_POST['lavori']))
		$error = 'Selezionare almeno una categoria di lavoratori';
	
	//nuovo capo abbigliamento
	else if($_POST['ordabb_id'] == 0){
		
		//controllo il codice non esista gia' per questo ordine
		$result = mysql_query($query="
		SELECT COUNT(*) AS tot FROM ordini_abb WHERE 
		ordini_abb.ordabb_cod LIKE '".$ordabb_cod."'");
		
		if(mysql_result($result,0,'tot') > 0){
			$error = "Codice gi&agrave; presente";
		}else{
			
			//inserisco nell'ordine
			mysql_query("INSERT INTO ordini_abb (ord_id, ordabb_cod, abbcat_id, ordabb_nome, ordabb_descr, ordabb_pnt) VALUES 
			(".$_POST['ord_id'].", '".$ordabb_cod."', ".$_POST['cat_id'].", '".$ordabb_nome."','".$ordabb_descr."','".$ordabb_pnt."')");
			$ordabb_id = mysql_insert_id();

			//assegno l'articolo alle categorie di lavoratori selezionate, all'interno dell'ordine
			foreach($_POST['lavori'] as $v){
				mysql_query("INSERT INTO ordini_abb_lav (ordabb_id, lavoro_id, ord) VALUES (".$ordabb_id.",".$v.",999999999)");
			}
			
			redoArtOrder($_POST['ord_id'],$_POST['cat_id']);
			
		}

	//modifica capo esistente
	}else if($_POST['ordabb_id'] > 0){
		
		//estraggo vecchio codice
		$result = mysql_query("SELECT ordabb_cod FROM ordini_abb WHERE ordabb_id = ".$_POST['ordabb_id']);
		$old_ordabb_cod = mysql_result($result,0,'ordabb_cod');
		
		//controllo il codice non esista
		$result = mysql_query($query="
		SELECT COUNT(*) AS tot FROM ordini_abb WHERE 
		ordini_abb.ordabb_cod LIKE '".$ordabb_cod."' AND ordini_abb.ordabb_id <> ".$_POST['ordabb_id']);
		
		if(mysql_result($result,0,'tot') > 0){
			$error = "Codice gi&agrave; presente";
		}else{
			$ordabb_id = $_POST['ordabb_id'];
			
			//update articolo negli ordini ancora da completare
			mysql_query("UPDATE ordini_abb SET 
			ordabb_cod='".$ordabb_cod."',
			abbcat_id=".$_POST['cat_id'].",
			ordabb_nome='".$ordabb_nome."',
			ordabb_descr='".$ordabb_descr."',
			ordabb_pnt='".$ordabb_pnt."'
			WHERE ordabb_id = ".$_POST['ordabb_id']);
			
			//update codice scelte custom
			mysql_query("UPDATE ordini_customchoice SET ordabb_cod = '".$ordabb_cod."' WHERE ordabb_cod = '".$old_ordabb_cod."' AND ord_id = ".$_POST['ord_id']);
			
			//rimuovo l'articolo dalle categorie di lavoratori non selezionate, all'interno dell'ordine
			mysql_query("DELETE FROM ordini_abb_lav WHERE ordabb_id=".$_POST['ordabb_id']." AND lavoro_id NOT IN (".implode(",",$_POST['lavori']).")");
			
			//estraggo categorie rimaste
			$result = mysql_query("SELECT lavoro_id FROM ordini_abb_lav WHERE ordabb_id=".$_POST['ordabb_id']." ORDER BY ord");
			while($row = mysql_fetch_array($result)){
				$arr_lavori[$row['lavoro_id']] = true;
			}
			
			//aggiungo le mancanti
			foreach($_POST['lavori'] as $v){
				if(!$arr_lavori[$v]){
					mysql_query("INSERT INTO ordini_abb_lav (ordabb_id, lavoro_id,ord) VALUES (".$_POST['ordabb_id'].",".$v.",99999999)");
				}
			}
			
			redoArtOrder($_POST['ord_id'],$_POST['cat_id']);
		}
	}
		


	
	//carico immagine
	if(!$error){
		require_once '../includes/classes/phpthumb/ThumbLib.inc.php';
		if(!empty($_FILES['userfile']['tmp_name'])){
			
			list($width, $height, $type, $attr) = getimagesize($_FILES['userfile']['tmp_name']);
			
			if($type == 0 || $type > 3)
				$error = "Formato immagine errato. Utilizzare jpeg, png, gif";
			
			if($_FILES['userfile']['size'] > 1500000 || $_FILES['userfile']['size'] == 0)
				$error = "Dimensione massima dell'immagine 1.5 Mb";
			
			if(!$error){				
				$uploaddir = '../includes/classes/phpthumb/tmp_files/';
				$uploadfile = $uploaddir . basename($_FILES['userfile']['tmp_name']);

				if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadfile)) {
					$error = "Errore durante il caricamento dell'immagine (E1)";

				//immagine caricata, creo la thumb
				}else{

					try{
						//immagine originale
						$thumb = PhpThumbFactory::create($uploadfile);
						$thumb->resize(250, 250);
						$fname = '../artimages/'.$ordabb_id.'.png';
						$thumb->save($fname, 'png');
						
						$thumb->resize(120, 120);
						$fname = '../artimages/thumbs/'.$ordabb_id.'.png';
						$thumb->save($fname, 'png');
						
						
					}catch (Exception $e){
						$error = "Errore durante l'inserimento dell'immagine (E2)";
					}

					@unlink($uploadfile);

				}

			}
		}
	}
	
	if($error){
		
		if($_POST['ordabb_id'] == 0){
			mysql_query("DELETE FROM abbigliamento WHERE abb_id = '".$abb_id."'");
			mysql_query("DELETE FROM ordini_abb WHERE ordabb_id = '".$ordabb_id."'");
			mysql_query("DELETE FROM ordini_abb_lav WHERE ordabb_id = '".$ordabb_id."'");
		}
		
		$js = 'parent.$("#diag_result").html("<div class=\'error_msg\'>'.$error.'</div>");';
	
	}else{
		$js = 'parent.$("#btnOrdBack").trigger("click");';
	}
	
	die('<script language="javascript">'.$js.'</script>');
}

//$img ='<img class="fLeft" width="150" height="150" src="../images/" border="1" style="background:#0f0" />';
if($_POST['ordabb_id'] > 0){
	$result = mysql_query("
	SELECT * FROM ordini_abb 
	LEFT JOIN ordini_abb_lav ON ordini_abb.ordabb_id = ordini_abb_lav.ordabb_id
	WHERE ordini_abb.ordabb_id = ".intval($_POST['ordabb_id'])
	);
	$ordabb_cod = mysql_result($result,0,'ordabb_cod');
	$ordabb_nome = mysql_result($result,0,'ordabb_nome');
	$ordabb_descr = mysql_result($result,0,'ordabb_descr');
	$ordabb_pnt = mysql_result($result,0,'ordabb_pnt');
	$btn_label = "SALVA";
	$btn_del = '<button class="btn" type="button" onclick="delItem('.intval($_POST['ordabb_id']).')">ELIMINA</button>';
	
	//elenco lavori che hanno questo capo di abbigliamento assegnato
	mysql_data_seek($result,0);
	while($row = mysql_fetch_array($result))
		if($row['lavoro_id'] > 0)
			$arr_lavori[$row['lavoro_id']] = true;
	
}else{
	$btn_label = "INSERISCI";	
}
?>
<form action="<?php echo $_SERVER['PHP_SELF'];?>?save" target="ifra" id="f_newAbb" name="f_newAbb" method="post" enctype="multipart/form-data">
	
    <?php echo $img;?>
	
    <div class="fLeft">
        <div class="f_row">
            <label>Codice</label>
            <input id="ordabb_cod" name="ordabb_cod" type="text" style="width:90px;" maxlength="10" value="<?php echo $ordabb_cod;?>" />
        </div>
        <div class="f_row">
            <label>Nome</label>
            <input id="ordabb_nome" name="ordabb_nome" type="text" style="width:250px;" maxlength="50" value="<?php echo $ordabb_nome;?>" />
        </div>

        <div class="f_row">
            <label>Descrizione</label>
            <input id="ordabb_descr" name="ordabb_descr" type="text" style="width:250px;" maxlength="255" value="<?php echo $ordabb_descr;?>" />
        </div>
        <div class="f_row"<?php if($abbcat_tipo == 'OMG') echo ' style="display:none"';?>>
            <label>Punti</label>
            <input id="ordabb_pnt" name="ordabb_pnt" type="text" style="width:90px;" maxlength="7" value="<?php echo $ordabb_pnt;?>" />
        </div>
        
        <div class="f_row">
            <label>Immagine</label>
            <input id="userfile" name="userfile" type="file" />
        </div>
	</div>
   
	<div class="fRight" style="width:150px" id="sceltaLavori">
    	<ul class="checklist">
		<?php
		foreach(getLavori() as $v){
			$sel = $arr_lavori[$v->lavoro_id] ? ' checked="checked"' : '';
			echo '<li><input'.$sel.' id="sel-'.$v->lavoro_id.'" type="checkbox" name="lavori[]" value="'.$v->lavoro_id.'" /><label for="sel-'.$v->lavoro_id.'">'.$v->lavoro_descr.'</label></li>';
		}
		?>
        </ul>
	</div>
    
    <div class="clear"><!-- --></div>

    <iframe name="ifra" class="ifra" src="about:blank"></iframe>
    <div id="diag_result"></div>
    
    <div class="dialog_btns">
        <center>
            <button class="btn" type="submit"><?php echo $btn_label;?></button>
            <?php echo $btn_del;?>
            <button class="btn" id="btnOrdBack" type="button" onclick="$('#f_newAbb').attr('action','../../dialogs/abbigliamento_add.php');post('f_newAbb','dialog',function(){recenterDiag()})">INDIETRO</button>
        </center>
    </div>

    <input type="hidden" name="ordabb_id" value="<?php echo intval($_REQUEST['ordabb_id']); ?>" />
    <input type="hidden" name="cat_id" value="<?php echo intval($_REQUEST['cat_id']); ?>" />
    <input type="hidden" name="ord_id" value="<?php echo intval($_REQUEST['ord_id']); ?>" />
 	<input type="hidden" name="lav_id" value="<?php echo intval($_REQUEST['lav_id']); ?>" />
	<input type="hidden" name="ico" value="<?php echo $_REQUEST['ico']; ?>" />
</form>
<script language="javascript">
<?php
//se non sono scarpe, di default valgono per tutti i lavoratori
if($abbcat_tipo <> 'CAL'){
	echo '$("input[name=\'lavori[]\']").prop("checked",true);';	
	echo '$("#sceltaLavori").css("visibility","hidden");';	
}
?>
function delItem(id){
	if(confirm("Procedo con l'eliminazione del prodotto dall'ordine?")){
		$.get('<?php echo $_SERVER['PHP_SELF'];?>?del='+id,function(data){
			if(data == '')
				$("#btnOrdBack").trigger("click");
			else
				alert(data);
		});
	}
}
</script>